Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.treemasterdetail.ui.swt
Class TreeMasterDetailSWTRenderer

    java.lang.Object
      org.eclipse.emf.ecp.view.model.common.AbstractRenderer<VELEMENT>
          org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer<VTreeMasterDetail>
              org.eclipse.emf.ecp.view.spi.treemasterdetail.ui.swt.TreeMasterDetailSWTRenderer

    public class TreeMasterDetailSWTRenderer

extends AbstractSWTRenderer<VTreeMasterDetail>

SWT Renderer for a `VTreeMasterDetail` element.

Since:
  1.5
Author:
  Anas Chakfeh, Eugen Neufeld

Field Summary
`static String` | `DETAIL_KEY` The detail key passed to the view model context.
`static String` | `GLOBAL_ADDITIONS` Static string.
`static String` | `ROOT_KEY` Context key for the root.

Constructor Summary
`TreeMasterDetailSWTRenderer(VTreeMasterDetail vElement, ViewModelContext viewContext, ReportService reportService)` Default Constructor.

Method Summary
`SWTGridDescription` | `getGridDescription(SWTGridDescription gridDescription)` Returns the GridDescription for this Renderer.

Methods inherited from class org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer
`finalizeRendering, init, render`

Methods inherited from class org.eclipse.emf.ecp.view.model.common.AbstractRenderer
`getVElement, getViewModelContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DETAIL_KEY

    public static final String DETAIL_KEY

  The detail key passed to the view model context.

  See Also:
    Constant Field Values

### ROOT_KEY

    public static final String ROOT_KEY

  Context key for the root.

  See Also:
    Constant Field Values

### GLOBAL_ADDITIONS

    public static final String GLOBAL_ADDITIONS

  Static string.

  See Also:
    Constant Field Values

Constructor Detail

### TreeMasterDetailSWTRenderer

    public TreeMasterDetailSWTRenderer(VTreeMasterDetail vElement,
                                       ViewModelContext viewContext,
                                       ReportService reportService)

  Default Constructor.

  Parameters:
    `vElement` - the view element to be rendered
    `viewContext` - The view model context
    `reportService` - the ReportService to use
  Since:
    1.6

Method Detail

### getGridDescription

    public SWTGridDescription getGridDescription(SWTGridDescription gridDescription)

  Returns the GridDescription for this Renderer.

  Specified by:
    `getGridDescription` in class `AbstractSWTRenderer<VTreeMasterDetail>`
  Parameters:
    `gridDescription` - the current `SWTGridDescription`
  Returns:
    the number of controls per row
  See Also:
    `AbstractSWTRenderer.getGridDescription(SWTGridDescription)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.